package com.example.nto_2024_client.list

import android.util.Log
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import androidx.lifecycle.viewModelScope
import com.example.nto_2024_client.list.models.ListEnterEntity
import com.example.nto_2024_client.list.network.ListEnterRepoImpl
import com.example.nto_2024_client.list.network.ListNetworkEnter
import kotlinx.coroutines.launch

class ListViewModel:ViewModel() {
    private val listNetworkEnter:ListNetworkEnter = ListNetworkEnter()
    private val listEnterRepoImpl:ListEnterRepoImpl = ListEnterRepoImpl(listNetworkEnter)

    val entry:MutableLiveData<List<ListEnterEntity>> by lazy {
        MutableLiveData<List<ListEnterEntity>>()
    }

    fun getEntry(username:String,password:String){
        viewModelScope.launch {
            val result = listEnterRepoImpl.lastEntry(username,password)
            result.onSuccess { listEntry->
                entry.value = listEntry
                Log.d("MyListEntry",entry.value.toString())

            }
            result.onFailure {
                Log.d("MyListEntry","Mda")
            }
        }
    }
}