package com.example.nto_2024_client.login

import android.os.Bundle
import android.util.Log
import android.view.View
import androidx.fragment.app.Fragment
import androidx.fragment.app.activityViewModels
import androidx.lifecycle.Observer
import com.example.nto_2024_client.R
import com.example.nto_2024_client.databinding.FragmentLoginBinding
import com.example.nto_2024_client.list.ListViewModel
import com.example.nto_2024_client.login.network.LoginNetwork
import com.example.nto_2024_client.login.network.LoginRepoImpl
import kotlinx.coroutines.CoroutineScope
import kotlinx.coroutines.Dispatchers
import kotlinx.coroutines.launch

class LoginFragment:Fragment(R.layout.fragment_login) {
    private lateinit var binding:FragmentLoginBinding
    private val loginNetwork: LoginNetwork = LoginNetwork()
    private val loginRepoImpl: LoginRepoImpl = LoginRepoImpl(loginNetwork)
    private val loginViewModel:LoginViewModel by activityViewModels()
    private val listViewModel:ListViewModel by activityViewModels()
    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        binding = FragmentLoginBinding.bind(view)
        binding.button2.setOnClickListener{
            CoroutineScope(Dispatchers.Main).launch{
                val result = loginNetwork.login("gnazarov","admin")
                result.onSuccess {
                    Log.d("MyLog","Good")
                }
                result.onFailure {
                    Log.d("MyLog","Fail")
                }
            }
        }
    }


}