package com.example.nto_2024_client.login

import android.util.Log
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import androidx.lifecycle.viewModelScope
import com.example.nto_2024_client.login.network.LoginNetwork
import com.example.nto_2024_client.login.network.LoginRepoImpl
import kotlinx.coroutines.launch

class LoginViewModel:ViewModel() {
    private val loginNetwork:LoginNetwork = LoginNetwork()
    private val loginRepoImpl:LoginRepoImpl = LoginRepoImpl(loginNetwork)

    val message:MutableLiveData<String> by lazy {
        MutableLiveData<String>()
    }


    fun login(login:String,password:String){
        viewModelScope.launch {
            val result = loginNetwork.login("gnazarov","admin")
            result.onSuccess {
                message.value = "cool"
                Log.d("MyLogin","True")
            }
            result.onFailure {
                Log.d("MyLogin","Fail")
            }
        }
    }

}